Subject: COPY/MOVE and live properties

From: "Stefan Eissing" <[email-masked]>
Date: Fri, 12 Oct 2001 14:02:44 +0200

Partly as result of the WebDAV interop event, I have the impression
that no client or server does really care if live properties are
kept or omitted when COPYing/MOVEing resources. Everyone does best
effort.

Furthermore, I suspect a server, respecting live property copying
as defined in RFC2518, will have serious trouble interworking with
any client. This will be especially true if the server supports
deltaV (copy of version controlled/version resources on "plain"
resource will lose a hell of a lot of live properties).

Are my assumptions correct? Is this an issue for 2518++?

//Stefan